## libmicam 1.0

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.0)
project (libmicam)

set (MICAM_VERSION "0.6.9")
set (MICAM_VERSION_MAC "0.5.1")
set (MICAM_SOVERSION "0")

list (APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/")
list (APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/../cmake_modules/")
include (GNUInstallDirs)
include (InstallImported)

add_library (gxccd SHARED IMPORTED)

set_target_properties (gxccd PROPERTIES VERSION ${MICAM_VERSION} SOVERSION ${MICAM_SOVERSION})

if (APPLE)

  set_target_properties (gxccd PROPERTIES VERSION ${MICAM_VERSION_MAC})

  set_property (TARGET gxccd PROPERTY IMPORTED_LOCATION "libgxccdmac.bin")

elseif (UNIX AND NOT WIN32)

  if (CMAKE_SYSTEM_PROCESSOR MATCHES "armv+")
    set_property (TARGET gxccd PROPERTY IMPORTED_LOCATION "libgxccdarmv7.bin")
  elseif (CMAKE_SYSTEM_PROCESSOR MATCHES "aarch64")
    set_property (TARGET gxccd PROPERTY IMPORTED_LOCATION "libgxccdarmv8.bin")
  elseif (CMAKE_SYSTEM_PROCESSOR MATCHES "x86_64")
    set_property (TARGET gxccd PROPERTY IMPORTED_LOCATION "libgxccd64.bin")
  elseif (CMAKE_SYSTEM_PROCESSOR MATCHES "i[3-6]86")
    set_property (TARGET gxccd PROPERTY IMPORTED_LOCATION "libgxccd32.bin")
  endif ()

  # Install udev rules
  set (UDEVRULES_INSTALL_DIR "/lib/udev/rules.d" CACHE STRING "Base directory for udev rules")
  install (FILES 99-miccd.rules DESTINATION ${UDEVRULES_INSTALL_DIR})

endif ()

# Install header files
install (FILES gxccd.h DESTINATION include/libmicam)

# Install library
install_imported (TARGETS gxccd DESTINATION ${CMAKE_INSTALL_LIBDIR})

=== debian/changelog ===
libmicam (1.0-3) unstable; urgency=medium

  * rebuild with indi 1.9.6

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 07 Jun 2022 23:30:36 +0200

libmicam (1.0-2) unstable; urgency=medium

  * manual build on all architectures
  * debian/control: move to debian-astro
  * debian/control: update description

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 23 Jan 2022 10:30:36 +0100

libmicam (1.0-1) unstable; urgency=medium

  * initial version

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 07 Jan 2022 11:22:56 +0000

## libmicam 1.0+20221224111636

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 cmake_minimum_required (VERSION 3.0)
 project (libmicam)
 
-set (MICAM_VERSION "0.6.9")
-set (MICAM_VERSION_MAC "0.5.1")
+set (MICAM_VERSION "0.7.2")
+set (MICAM_VERSION_MAC "0.6.2")
 set (MICAM_SOVERSION "0")
 
 list (APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/")
@@ -19,6 +19,8 @@
   set_target_properties (gxccd PROPERTIES VERSION ${MICAM_VERSION_MAC})
 
   set_property (TARGET gxccd PROPERTY IMPORTED_LOCATION "libgxccdmac.bin")
+
+  FIX_LIBRARY_ID("libgxccd" "libgxccdmac.bin" "Moravian/GXCCD")
 
 elseif (UNIX AND NOT WIN32)

=== debian/changelog ===
libmicam (1.0+20221224111636-3) unstable; urgency=medium

  * debian/control: add dh-sequence-movetousr as Build-Depends:
                    (Thanks to Helmut Grohne for the suggestion)
                    (Closes: #1073637)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 13 Jul 2024 10:17:52 +0200

libmicam (1.0+20221224111636-2) unstable; urgency=medium

  * Use udev.pc to place udev files. (Closes: #1058842)
    (Thanks to Chris Hofstaedtler for the patch)
  * debian/control: bump standard to 4.7.0 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 05 Jun 2024 22:17:52 +0200

libmicam (1.0+20221224111636-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.9
  * new upstream version 1.0

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 24 Dec 2022 11:17:52 +0000

=== debian/control ===
Source: libmicam
Section: non-free/libs
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, cmake
	, libusb-1.0-0-dev
	, pkgconf
	, systemd-dev
	, dh-sequence-movetousr
Standards-Version: 4.7.0
Homepage: https://github.com/indilib/indi-3rdparty
Rules-Requires-Root: no
XS-Autobuild: yes
Vcs-Browser: https://salsa.debian.org/debian-astro-team/libmicam
Vcs-Git: https://salsa.debian.org/debian-astro-team/libmicam.git

Package: libgxccd
Architecture: i386 amd64 armhf arm64
Depends: ${shlibs:Depends}, ${misc:Depends}
	, libusb-1.0-0
Description: library for cameras made by Moravian Instruments
 This package contains the libraries to support cameras
 made by Moravian Instruments.
 .
 This library can be used to control MI CCD cameras connected over
 USB or Ethernet.
